Loading...
Searching...
No Matches
BALL::SquareFunction< Function, DataType > Class Template Reference

`#include <BALL/MATHS/function.h>`

## Public Member Functions

Constructors and destructor
| SquareFunction ()
| SquareFunction (const SquareFunction &square)
virtual | ~SquareFunction ()
Assignment
SquareFunction< Function, DataType > & | operator= (const SquareFunction< Function, DataType > &square)
Predicates
bool | operator== (const SquareFunction< Function, DataType > &square) const
Function realization
BALL_INLINE DataType | operator() (const DataType &x) const

## Accessors

Function | function_
void | setFunction (const Function &function)
const Function & | getFunction () const

## Detailed Description

template<typename Function, typename DataType = float>
class BALL::SquareFunction< Function, DataType >

SquareFunction class.

Definition at line 704 of file function.h.

## Constructor & Destructor Documentation

## SquareFunction() [1/2]

template<typename Function, typename DataType>

BALL_INLINE BALL::SquareFunction< Function, DataType >::SquareFunction | ( |  | ) |

Default constructor

Definition at line 1187 of file function.h.

## SquareFunction() [2/2]

template<typename Function, typename DataType>

BALL_INLINE BALL::SquareFunction< Function, DataType >::SquareFunction | ( | const SquareFunction< Function, DataType > & | square | ) |

Copy constructor

Definition at line 1194 of file function.h.

## ~SquareFunction()

template<typename Function, typename DataType>

BALL_INLINE BALL::SquareFunction< Function, DataType >::~SquareFunction | ( |  | ) |

virtual

Destructor

Definition at line 1201 of file function.h.

## Member Function Documentation

## getFunction()

template<typename Function, typename DataType = float>

const Function & BALL::SquareFunction< Function, DataType >::getFunction | ( |  | ) | const

inline

get the function argument of the square

Returns
  a const reference to the function argument

Definition at line 775 of file function.h.

## operator()()

template<typename Function, typename DataType = float>

BALL_INLINE DataType BALL::SquareFunction< Function, DataType >::operator() | ( | const DataType & | x | ) | const

inline

Evaluation of this subterm

Parameters

  x | the point where to evaluate

Returns
  the function value

Definition at line 754 of file function.h.

## operator=()

template<typename Function, typename DataType>

BALL_INLINE SquareFunction< Function, DataType > & BALL::SquareFunction< Function, DataType >::operator= | ( | const SquareFunction< Function, DataType > & | square | ) |

Assignment operator

Definition at line 1207 of file function.h.

## operator==()

template<typename Function, typename DataType>

BALL_INLINE bool BALL::SquareFunction< Function, DataType >::operator== | ( | const SquareFunction< Function, DataType > & | square | ) | const

Equality operator

Definition at line 1215 of file function.h.

## setFunction()

template<typename Function, typename DataType = float>

void BALL::SquareFunction< Function, DataType >::setFunction | ( | const Function & | function | ) |

inline

set the function argument of the square

Definition at line 767 of file function.h.

## Member Data Documentation

## function_

template<typename Function, typename DataType = float>

Function BALL::SquareFunction< Function, DataType >::function_

protected

Definition at line 786 of file function.h.